package Pieces;

import Game.Player;

/**
 * http://en.wikipedia.org/wiki/Wazir_(chess)
 *
 * A wazir is a fairy chess piece that moves like a rook, but can go only one square.
 *
 */
public class Wazir extends BoardSquare {

    public Wazir(){
        this.hasMoved = false;

        horiz = true;
        vert = true;
        diag = false;
        bidirectional = true;
        limit = 1;

        symbol = 'W';
        imagename = "Wazir.png";
    }

    public Wazir(int x, int y, Player player){
        this();
        this.x = x;
        this.y = y;
        this.owner = player;
    }

}
